﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 团组公共需求表
    /// </summary>
    [SugarTable("Grp_DeleClientNeeds")]
    public class Grp_DeleClientNeeds:EntityBase
    {
        /// <summary>
        /// 团组表id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int DiId { get; set; }
        /// <summary>
        /// 酒店名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string HotelName { get; set; }
        /// <summary>
        /// 酒店地址
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]
        public string HotelAddress { get; set; }
        /// <summary>
        /// 酒店星级
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(20)")]
        public string HotelStarRank { get; set; }
        /// <summary>
        /// 酒店其他需求
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string HotelNeedRemark { get; set; }
        /// <summary>
        /// 客户喜好舱位
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string CabinName { get; set; }
        /// <summary>
        /// 飞机其他需求备注
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string CabinNeedRemark { get; set; }
        /// <summary>
        /// 类型表ID
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CarType { get; set; }
        /// <summary>
        /// 车其他需求备注
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string CarNeedRemark { get; set; }
        /// <summary>
        /// 用餐需求备注
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string FoodNeedRemark { get; set; }
    }
}
